qubes-mgmt-salt (4.1.12-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 23 Jun 2021 03:21:35 +0200

qubes-mgmt-salt (4.1.12-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Only apply Salt workaround on Fedora qubes

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 23 Jun 2021 03:21:35 +0200

qubes-mgmt-salt (4.1.11-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix reproducibility - explicit umask set

  [ keyandthegate ]
  * Don't throw away salt stderr

  [ Marek Marczykowski-Górecki ]
  * Break long line

  [ ctrlaltf24 ]
  * removed templates apps and standalones from the muturally exclusive
    group

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR make

  [ Marek Marczykowski-Górecki ]
  * Apply workaround for highstate rendering failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 May 2021 02:41:41 +0200

qubes-mgmt-salt (4.1.10-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Fix build with python3 for CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Dec 2020 16:59:14 +0100

qubes-mgmt-salt (4.1.9-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: exclude install dom0 packages in vm
  * debian: drop dependency on qubes-mgmt-salt-vm-python-pip
  * Drop unused VM packages

  [ Demi Marie Obenour ]
  * Invoke qubes.SaltLinuxVM as root

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 Dec 2020 16:56:37 +0100

qubes-mgmt-salt (4.1.8-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Support newer Salt versions

  [ Marek Marczykowski-Górecki ]
  * Do not open-code EOF marker twice

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 07 Nov 2020 17:20:58 +0100

qubes-mgmt-salt (4.1.7-1) unstable; urgency=medium

  * Modify qubesctl to use the new policy format
  * rpm: add specific version dependency for qubes-core-dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 24 May 2020 04:37:44 +0200

qubes-mgmt-salt (4.1.6-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: import from qubes-continuous-integration

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 24 Apr 2020 04:36:59 +0200

qubes-mgmt-salt (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: add CentOS 7 build
  * spec: don't hardcode 'python3' prefix
  * spec: pyyaml is case sensitive in CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Mar 2020 04:10:07 +0100

qubes-mgmt-salt (4.1.4-1) unstable; urgency=medium

  [ Johanna Abrahamsson ]
  * Switch PyYAML dependency to python3-pyyaml

  [ Frédéric Pierret (fepitre) ]
  * qubesctl: make PEP8 happy
  * qubesctl: handle StandaloneVMs targets

  [ Marek Marczykowski-Górecki ]
  * Report empty output as a failure

  [ Frédéric Pierret (fepitre) ]
  * Make qubes-mgmt-salt-base-overrides obsolete for R4.1

  [ Marek Marczykowski-Górecki ]
  * Log when considering empty output a failure

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Mar 2020 03:43:21 +0100

qubes-mgmt-salt (4.1.3-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

  [ Marek Marczykowski-Górecki ]
  * Filter out control characters in log too
  * Remove unused import
  * Switch to Python 3
  * travis: switch dom0 to fc31, update VM versions
  * Add workaround for salt bug

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 05 Jan 2020 13:12:46 +0100

qubes-mgmt-salt (4.1.2-1) unstable; urgency=medium

  * Make top.jinja compatible with python3
  * Do not fail if 'salt' user does not exist in disp-mgmt-* VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 11 Aug 2019 06:55:15 +0200

qubes-mgmt-salt (4.1.1-1) unstable; urgency=medium

  * Make qubesctl explicit python2
  * Make ssh-wrapper python3 script
  * travis: update for R4.1
  * Really make ssh-wrapper a python3 script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Jun 2019 12:39:57 +0200

qubes-mgmt-salt (4.1.0-1) unstable; urgency=medium

  * Explicitly load pillar tops
  * Fix startup_states minion option
  * Fix jinja-based top file merging

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 02 Apr 2019 02:52:05 +0200

qubes-mgmt-salt (4.0.16-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Regenerate source tarball after copying in relevant files

  [ Frédéric Pierret (fepitre) ]
  * Handle non existing qubessaltpatches in case where mgmt-salt-base-
    overrides is not needed anymore

  [ Marek Marczykowski-Górecki ]
  * Wipe salt temporary files after applying state in a VM

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Mar 2019 22:36:52 +0100

qubes-mgmt-salt (4.0.15-1) unstable; urgency=medium

  * qubesctl: improve error reporting

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Feb 2019 01:48:39 +0100

qubes-mgmt-salt (4.0.14-1) wheezy; urgency=medium

  * Do not exclude 'salt' pillar
  * Remove outdated comment
  * Skip VMs based on empty top file only for state.highstate command

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 23 Dec 2018 01:07:51 +0100

qubes-mgmt-salt (4.0.13-1) unstable; urgency=medium

  * Fix reporting salt-ssh exit code

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Dec 2018 18:46:42 +0100

qubes-mgmt-salt (4.0.12-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * qubesctl: fix error reporting
  * qubesctl: use 'management_dispvm' property if available

 -- Simon Gaiser <simon@invisiblethingslab.com>  Mon, 03 Dec 2018 18:45:02 +0100

qubes-mgmt-salt (4.0.11-1) unstable; urgency=medium

  * Fix qrexec policy modification
  * debian: don't create orig.tar.gz manually

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 24 Oct 2018 02:10:21 +0200

qubes-mgmt-salt (4.0.10-1) unstable; urgency=medium

  * travis: add centos7
  * builder plugin: fix handling old format rpm packages
  * rpm: make python2 choice explicit
  * travis: update Fedora versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 05:55:33 +0200

qubes-mgmt-salt (4.0.9-1) unstable; urgency=medium

  [ Frédéric Pierret ]
  * Create .spec.in and Source0
  * Makefile.builder: update for .spec.in
  * spec.in: add changelog placeholder
  * spec.in: remove .gitignore

  [ Marek Marczykowski-Górecki ]
  * travis: update fedora version
  * rpm: add missing BR: python-setuptools

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 04:15:44 +0200

qubes-mgmt-salt (4.0.8-1) unstable; urgency=medium

  * Fix handling qubesctl --max-concurrency option

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 31 Mar 2018 00:06:12 +0200

qubes-mgmt-salt (4.0.7-1) unstable; urgency=medium

  * Provide an option to limit VMs configured in parallel
  * Remove .pyc file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 21 Mar 2018 02:28:15 +0100

qubes-mgmt-salt (4.0.6-1) unstable; urgency=medium

  * Use more reliable "global variable" method in jinja template
  * Don't pass argument to yaml filter in jinja2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 23 Dec 2017 02:56:51 +0100

qubes-mgmt-salt (4.0.5-1) unstable; urgency=medium

  * Follow qubesadmin API change

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Oct 2017 20:35:22 +0200

qubes-mgmt-salt (4.0.4-1) unstable; urgency=medium

  * Make minion.dom0.conf really used
  * Force 'systemd' service module in dom0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 15 Sep 2017 13:49:05 +0200

qubes-mgmt-salt (4.0.3-1) unstable; urgency=medium

  * Adjust default minion configuration, so master config is included in
    pillars
  * minor fixes to qubessalt module used by qubesctl
  * qubessalt/qubesctl: fix DispVM creation and starting
  * qubesctl: prefer qubes.VMRootShell service

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 14 Sep 2017 02:46:48 +0200

qubes-mgmt-salt (4.0.2-1) unstable; urgency=medium

  [ unman ]
  * Fix some typos in qubesctl help
  * Provide manpage for qubesctl

  [ Marek Marczykowski-Górecki ]
  * Migrate qubesctl to Admin API (part 1)
  * travis: switch to Qubes 4.0

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 05 Jul 2017 14:33:05 +0200

qubes-mgmt-salt (4.0.1-1) unstable; urgency=medium

  * travis: drop debootstrap workaround
  * rpm: don't own salt directories
  * ssh-wrapper: don't use qvm-copy-to-vm
  * Drop leftovers of +salt template flavor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Apr 2017 14:35:23 +0200

qubes-mgmt-salt (4.0.0-1) wheezy; urgency=medium

  [ Bahtiar `kalkin-` Gadimov ]
  * Add .pylintrc and setup.cfg
  * Migrate qubes-mgmt-base to new core3 api
  * Minor bug fixes

  [ Marek Marczykowski-Górecki ]
  * Fix core3 API usage

  [ unman ]
  * Remove unsupported Ubuntu builds

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 29 Nov 2016 21:55:21 +0100

qubes-mgmt-salt (3.2.4-1) wheezy; urgency=medium

  * ssh-wrapper: don't fail if dummy scp already exists

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Aug 2016 14:37:39 +0200

qubes-mgmt-salt (3.2.3-1) wheezy; urgency=medium

  * qubesctl: slightly improve error reporting

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 19 Jul 2016 02:13:13 +0200

qubes-mgmt-salt (3.2.2-1) wheezy; urgency=medium

  * qubesctl: log VM salt call output
  * vm-connector: run salt shim in environment with dummy scp
  * rpm: drop saltutil.sync_all calls in %post script

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 01 Jul 2016 11:18:19 +0200

qubes-mgmt-salt (3.2.1-1) wheezy; urgency=medium

  * dom0: really initialize minion_id to 'dom0'
  * qubesctl: speedup check whether VM has any config to be applied
  * debian: exclude a little less from "orig" tarball
  * travis: initial version
  * fix default pillar top
  * initialize minion_id earlier
  * rpm: use salt-call --local instead of qubesctl
  * fixup! initialize minion_id earlier
  * sync default minion.d/f_defaults.conf with final generated one
  * Drop 'state.sls config' call
  * qubesctl: apply salt backports

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 07 Jun 2016 06:04:27 +0200

qubes-mgmt-salt (3.2.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Render top.sls based on plain list of tops (if present)
  * Add python-yaml to build dependencies

  [ M. Vefa Bicakci ]
  * builder.conf: Add python-yaml or PyYAML depending on host
    distribution

  [ Marek Marczykowski-Górecki ]
  * Extend qubesctl to configure also VMs
  * Add debian packaging for vm-connector
  * Drop +salt template flavor
  * dom0: initialize minion_id

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 18 May 2016 02:51:42 +0200

qubes-mgmt-salt (3.1.1-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * components - Allow additional components to be passed in from
    configuration file
  * BUILDER_PLUGINS:  Add template for fc23 and stretch
  * Makefile.install:  Rename default VARS to better reflect they are
    default values
  * Makefile.install:  Provide a list of most common VARS available for
    use
  * Makefile.install: Only place README and LICENSE in top_level_dir if
    formula_dir is /srv/salt
  * Makefile.builder:  Move copy-in functions to above of where they are
    called to prevent them from not being available
  * yamldumper: Read input files in order they appear on command line
  * Makefile:  Added a few formatting line feeds
  * components.conf: Removed mgmt-salt-demo component since it is not
    used
  * FORMULA:  Changed version to 3.1.0 and re-ordered fields
  * components: Make sure there are no dupes in COMPONENTs
  * template:  Souce Fedora's distribution.sh to install packages using
    yumInstall
  * Makefile.builder:  Fix to debian/changelog allow debian.dom0/vm dirs
  * components:  Moved development components to mgmt-salt-dev repo
  * tests:  Updated test repo to work with dnf
  * template: Re-organize BUILDER_PLUGIN templates
  * template: Added saltstack key for jessie repo since salt is too old
    in Debian repo
  * debian: Updated Debian packaging
  * rpm: Updated rpm packaging; removed all references to packages not
    used
  * components: Re-wrote code to merge mgnt components in a more
    reliable fashion
  * builder.conf: Rename VAR '_flavor_name' to 'MGMT_SALT_FLAVOR_NAME'
    to prevent name conflicts

  [ Marek Marczykowski-Górecki ]
  * Add note when components.conf is included

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2016 06:28:14 +0100

qubes-mgmt-salt (3.1.0-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 15:31:07 +0100

qubes-mgmt-salt (3.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jason Mehring <nrgaway@gmail.com>  Thu, 12 Mar 2015 00:00:00 +0000
